ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
core_cache Class Reference

## Public Member Functions
| _load_root_dir_cache ($Dirname)
| _load_package_real_version_cache ($Dirname)
| _load_rewrited_package_cache ($Dirname)
| _load_rewrites_cache ($Dirname)
| _load_package_path_cache ($Dirname)
| _load_package_relative_path_cache ($Dirname)
| _load_top_package_name_cache ($Dirname)
| _load_make_full_version_cache ($Dirname)
| _load_full_class_name_cache ($Dirname)
| _load_get_package_cache ($Dirname)
| _load_package_script_paths_cache ($Dirname)
| __construct ()
| drop_core_cache ()
| _save_root_dir_cache ($Dirname)
| _save_package_real_version_cache ($Dirname)
| _save_rewrited_package_cache ($Dirname)
| _save_rewrites_cache ($Dirname)
| _save_package_path_cache ($Dirname)
| _save_package_relative_path_cache ($Dirname)
| _save_top_package_name_cache ($Dirname)
| _save_make_full_version_cache ($Dirname)
| _save_full_class_name_cache ($Dirname)
| _save_get_package_cache ($Dirname)
| _save_package_script_paths_cache ($Dirname)
| __destruct ()

## Data Fields
| $FilePrefix = false

## Detailed Description

Core cache.

Author
  Dodonov A.A.

Definition at line 26 of file core_cache.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 150 of file core_cache.php.

{
$this->FilePrefix = md5( $_SERVER[ 'SCRIPT_FILENAME' ] );
$Dirname = dirname( __FILE__ );
$this->_load_root_dir_cache( $Dirname );
$this->_load_package_real_version_cache( $Dirname );
$this->_load_rewrited_package_cache( $Dirname );
$this->_load_rewrites_cache( $Dirname );
$this->_load_package_path_cache( $Dirname );
$this->_load_package_relative_path_cache( $Dirname );
$this->_load_top_package_name_cache( $Dirname );
$this->_load_make_full_version_cache( $Dirname );
$this->_load_full_class_name_cache( $Dirname );
$this->_load_get_package_cache( $Dirname );
$this->_load_package_script_paths_cache( $Dirname );
}

__destruct | ( |  | ) |

Destructor.

Author
  Dodonov A.A.

Definition at line 350 of file core_cache.php.

{
$Dirname = dirname( __FILE__ );
$this->_save_root_dir_cache( $Dirname );
$this->_save_package_real_version_cache( $Dirname );
$this->_save_rewrited_package_cache( $Dirname );
$this->_save_rewrites_cache( $Dirname );
$this->_save_package_path_cache( $Dirname );
$this->_save_package_relative_path_cache( $Dirname );
$this->_save_top_package_name_cache( $Dirname );
$this->_save_make_full_version_cache( $Dirname );
$this->_save_full_class_name_cache( $Dirname );
$this->_save_get_package_cache( $Dirname );
$this->_save_package_script_paths_cache( $Dirname );
}

## Member Function Documentation

_load_full_class_name_cache | ( |  | $Dirname | ) |

Definition at line 110 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_full_class_name_cache' );
if( $Data !== false )
{
global $FullClassNameCache;
$FullClassNameCache = unserialize( $Data );
}
}

_load_get_package_cache | ( |  | $Dirname | ) |

Definition at line 120 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_get_package_cache' );
if( $Data !== false )
{
global $GetPackageCache;
$GetPackageCache = unserialize( $Data );
}
}

_load_make_full_version_cache | ( |  | $Dirname | ) |

Definition at line 100 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_make_full_version_cache' );
if( $Data !== false )
{
global $MakeFullVersionCache;
$MakeFullVersionCache = unserialize( $Data );
}
}

_load_package_path_cache | ( |  | $Dirname | ) |

Definition at line 70 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_package_path_cache' );
if( $Data !== false )
{
global $PackagePathCache;
$PackagePathCache = unserialize( $Data );
}
}

_load_package_real_version_cache | ( |  | $Dirname | ) |

Definition at line 40 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_package_real_version_cache' );
if( $Data !== false )
{
global $PackageRealVersionCache;
$PackageRealVersionCache = unserialize( $Data );
}
}

_load_package_relative_path_cache | ( |  | $Dirname | ) |

Definition at line 80 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_package_relative_path_cache' );
if( $Data !== false )
{
global $PackageRelativePathCache;
$PackageRelativePathCache = unserialize( $Data );
}
}

_load_package_script_paths_cache | ( |  | $Dirname | ) |

Definition at line 130 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_package_script_paths_cache' );
if( $Data !== false )
{
global $PackagePathsCache;
$PackagePathsCache = unserialize( $Data );
}
}

_load_rewrited_package_cache | ( |  | $Dirname | ) |

Definition at line 50 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_rewrited_package_cache' );
if( $Data !== false )
{
global $RewritedPackageCache;
$RewritedPackageCache = unserialize( $Data );
}
}

_load_rewrites_cache | ( |  | $Dirname | ) |

Definition at line 60 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_rewrites_cache' );
if( $Data !== false )
{
global $RewritesCache;
$RewritesCache = unserialize( $Data );
}
}

_load_root_dir_cache | ( |  | $Dirname | ) |

Definition at line 30 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_root_dir_cache' );
if( $Data !== false )
{
global $RootDirCache;
$RootDirCache = unserialize( $Data );
}
}

_load_top_package_name_cache | ( |  | $Dirname | ) |

Definition at line 90 of file core_cache.php.

{
$Data = @file_get_contents( $Dirname.'/../../data/'.$this->FilePrefix.'_top_package_name_cache' );
if( $Data !== false )
{
global $TopPackageNameCache;
$TopPackageNameCache = unserialize( $Data );
}
}

_save_full_class_name_cache | ( |  | $Dirname | ) |

Definition at line 301 of file core_cache.php.

{
global $FullClassNameCacheChanged;
if( $FullClassNameCacheChanged )
{
global $FullClassNameCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_full_class_name_cache' ,
serialize( $FullClassNameCache )
);
}
}

_save_get_package_cache | ( |  | $Dirname | ) |

Definition at line 314 of file core_cache.php.

{
global $GetPackageCacheChanged;
if( $GetPackageCacheChanged )
{
global $GetPackageCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_get_package_cache' ,
serialize( $GetPackageCache )
);
}
}

_save_make_full_version_cache | ( |  | $Dirname | ) |

Definition at line 288 of file core_cache.php.

{
global $MakeFullVersionCacheChanged;
if( $MakeFullVersionCacheChanged )
{
global $MakeFullVersionCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_make_full_version_cache' ,
serialize( $MakeFullVersionCache )
);
}
}

_save_package_path_cache | ( |  | $Dirname | ) |

Definition at line 249 of file core_cache.php.

{
global $PackagePathCacheChanged;
if( $PackagePathCacheChanged )
{
global $PackagePathCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_package_path_cache' ,
serialize( $PackagePathCache )
);
}
}

_save_package_real_version_cache | ( |  | $Dirname | ) |

Definition at line 210 of file core_cache.php.

{
global $PackageRealVersionCacheChanged;
if( $PackageRealVersionCacheChanged )
{
global $PackageRealVersionCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_package_real_version_cache' ,
serialize( $PackageRealVersionCache )
);
}
}

_save_package_relative_path_cache | ( |  | $Dirname | ) |

Definition at line 262 of file core_cache.php.

{
global $PackageRelativePathCacheChanged;
if( $PackageRelativePathCacheChanged )
{
global $PackageRelativePathCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_package_relative_path_cache' ,
serialize( $PackageRelativePathCache )
);
}
}

_save_package_script_paths_cache | ( |  | $Dirname | ) |

Definition at line 327 of file core_cache.php.

{
global $PackagePathsCacheChanged;
if( $PackagePathsCacheChanged )
{
global $PackagePathsCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_package_script_paths_cache' ,
serialize( $PackagePathsCache )
);
}
}

_save_rewrited_package_cache | ( |  | $Dirname | ) |

Definition at line 223 of file core_cache.php.

{
global $RewritedPackageCacheChanged;
if( $RewritedPackageCacheChanged )
{
global $RewritedPackageCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_rewrited_package_cache' ,
serialize( $RewritedPackageCache )
);
}
}

_save_rewrites_cache | ( |  | $Dirname | ) |

Definition at line 236 of file core_cache.php.

{
global $RewritesCacheChanged;
if( $RewritesCacheChanged )
{
global $RewritesCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_rewrites_cache' ,
serialize( $RewritesCache )
);
}
}

_save_root_dir_cache | ( |  | $Dirname | ) |

Definition at line 197 of file core_cache.php.

{
global $RootDirCacheChanged;
if( $RootDirCacheChanged )
{
global $RootDirCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_root_dir_cache' ,
serialize( $RootDirCache )
);
}
}

_save_top_package_name_cache | ( |  | $Dirname | ) |

Definition at line 275 of file core_cache.php.

{
global $TopPackageNameCacheChanged;
if( $TopPackageNameCacheChanged )
{
global $TopPackageNameCache;
file_put_contents(
$Dirname.'/../../data/'.$this->FilePrefix.'_top_package_name_cache' ,
serialize( $TopPackageNameCache )
);
}
}

drop_core_cache | ( |  | ) |

Function drops core's cache.

Author
  Dodonov A.A.

Definition at line 178 of file core_cache.php.

{
$Dirname = dirname( __FILE__ );
$Files = array(
$this->FilePrefix.'_root_dir_cache' , $this->FilePrefix.'_package_real_version_cache' ,
$this->FilePrefix.'_rewrited_package_cache' , $this->FilePrefix.'_rewrites_cache' ,
$this->FilePrefix.'_package_path_cache' , $this->FilePrefix.'_package_relative_path_cache' ,
$this->FilePrefix.'_top_package_name_cache' , $this->FilePrefix.'_make_full_version_cache' ,
$this->FilePrefix.'_full_class_name_cache' , $this->FilePrefix.'_get_package_cache' ,
$this->FilePrefix.'_package_script_paths_cache'
);
foreach( $Files as $i => $File )
{
@unlink( $Dirname.'/../../data/'.$File );
}
}

## Field Documentation

$FilePrefix = false

Definition at line 28 of file core_cache.php.

The documentation for this class was generated from the following file:

- packages/core/include/php/core_cache.php